tt_spec_move(library call)

NAME
tt_spec_move — notify the ToolTalk service that an object has moved to a different file

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_spec_move(
const char *objid,
const char *newfilepath);

DESCRIPTION

The tt_spec_move function notifies the ToolTalk service that this object has moved to a different file.

The ToolTalk service returns a new objid for the object and leaves a forwarding pointer from the old objid to the new one.

If a new objid is not required (for example, because the new and old files are in the same file system), tt_spec_move returns TT_WRN_SAME_OBJID.

The objid argument is the identifier of the object involved in this operation.

The newfilepath argument is the new file name.

RETURN VALUE

Upon successful completion, the tt_spec_move function returns the new unique identifier of the object involved in this operation. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

TT_WRN_SAME_OBJID
    A new objid is not required.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

For efficiency and reliability, the application should replace any references in the application to the old objid with references to the new one.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).